## k3b 25.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(k3b VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.6")
set(KF_MIN_VERSION "6.1")

set(KDE_COMPILERSETTINGS_LEVEL "5.84")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" "${ECM_MODULE_PATH}")

##################  K3b version  ################################
set(K3B_VERSION_STRING ${RELEASE_SERVICE_VERSION})

# increase on BC breakage
set(K3B_LIB_VERSION_MAJOR 8)

# increase after adding functionality
set(K3B_LIB_VERSION_MINOR 0)
set(K3B_LIB_VERSION_RELEASE 0)


##################  K3b options #################################
option(K3B_DOC "Whether to build the documentation" ON)
option(K3B_DEBUG "K3b additional debugging support" OFF)
if(K3B_DEBUG)
    add_definitions(-g)
endif()
option(K3B_ENABLE_DVD_RIPPING "Support for ripping Video DVDs with optional decryption." ON)
option(K3B_ENABLE_TAGLIB "Support for reading audio file metadata using Taglib." ON)
option(K3B_BUILD_API_DOCS "Build the API documentation for the K3b libs." OFF)

# plugin options
option(K3B_BUILD_FFMPEG_DECODER_PLUGIN "Build FFmpeg decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN "Build Ogg-Vorbis decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN "Build Ogg-Vorbis encoder plugin" ON)
option(K3B_BUILD_MAD_DECODER_PLUGIN "Build MAD mp3 decoder plugin" ON)
option(K3B_BUILD_MUSE_DECODER_PLUGIN "Build Musepack decoder plugin" ON)
option(K3B_BUILD_FLAC_DECODER_PLUGIN "Build Flac decoder plugin" ON)
option(K3B_BUILD_SNDFILE_DECODER_PLUGIN "Build libsndfile decoder plugin" ON)
option(K3B_BUILD_LAME_ENCODER_PLUGIN "Build Lame encoder plugin" ON)
option(K3B_BUILD_SOX_ENCODER_PLUGIN "Build Sox encoder plugin" ON)
option(K3B_BUILD_EXTERNAL_ENCODER_PLUGIN "Build external app encoder plugin" ON)
option(K3B_BUILD_WAVE_DECODER_PLUGIN "Build Wave decoder plugin" ON)

##################  K3b requirements #################################
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMInstallIcons)
include(ECMEnableSanitizers)
include(ECMSetupQtPluginMacroNames)
include(ECMQtDeclareLoggingCategory)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Gui)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive Auth Config CoreAddons FileMetaData I18n IconThemes JobWidgets
    KCMUtils KIO Notifications NewStuff NotifyConfig Solid WidgetsAddons XmlGui)

if(K3B_DOC)
  find_package(KF6DocTools ${KF_MIN_VERSION})
  set_package_properties(KF6DocTools PROPERTIES
    DESCRIPTION "Tools to generate documentation"
    TYPE REQUIRED
  )
endif()

find_package(Qt6WebEngineWidgets)
set_package_properties(Qt6WebEngineWidgets PROPERTIES
    DESCRIPTION "QtWebEngineWidgets is used for prettier k3bdiskinfoview."
    TYPE OPTIONAL)
if(Qt6WebEngineWidgets_FOUND)
    add_definitions(-DHAVE_QTWEBENGINEWIDGETS)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

option(WITH_NEW_SOLID_JOB "WIP: base Job class" Off)
add_feature_info(Solid::Job WITH_NEW_SOLID_JOB "WIP: Base class for Solid Asynchronous apis")
if(WITH_NEW_SOLID_JOB)
    add_definitions(-DWITH_NEW_SOLID_JOB)
endif()

find_package(Iconv)
set(HAVE_ICONV "${ICONV_FOUND}")

find_package(Samplerate)
set_package_properties(Samplerate PROPERTIES
    DESCRIPTION "Audio sampling rate conversion."
    URL "http://www.mega-nerd.com/SRC"
    TYPE REQUIRED)

set(KCDDB_TARGET_NAME KCddb6)
find_package(KCddb6 5.1 REQUIRED)
set_package_properties(${KCDDB_TARGET_NAME} PROPERTIES
    DESCRIPTION "Latest branch for CDDB library"
    URL "https://commits.kde.org/libkcddb"
    TYPE REQUIRED
    PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet.")

if(K3B_ENABLE_DVD_RIPPING)
    find_package(DvdRead)
    set_package_properties(DvdRead PROPERTIES
        DESCRIPTION "Libdvdread provides a simple foundation for reading DVD video disks."
        URL "https://www.videolan.org/developers/libdvdnav.html"
        TYPE OPTIONAL)

    set(ENABLE_DVD_RIPPING "${DVDREAD_FOUND}")
endif()

if(K3B_ENABLE_TAGLIB)
    find_package(Taglib)
    set_package_properties(Taglib PROPERTIES
        DESCRIPTION "Read and write tags in audio files"
        URL "https://taglib.org/"
        TYPE OPTIONAL)

    set(ENABLE_TAGLIB "${TAGLIB_FOUND}")
endif()

if(K3B_BUILD_FFMPEG_DECODER_PLUGIN)
    find_package(FFmpeg 4.4.0)
    set_package_properties(FFmpeg PROPERTIES
        PURPOSE "Needed for the K3b FFmpeg decoder plugin which can decode virtually all audio types."
        URL "https://ffmpeg.org/"
        TYPE OPTIONAL)

    if(FFMPEG_FOUND)
        include(CheckSymbolExists)
        include(CMakePushCheckState)
        cmake_push_check_state()

        if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
            # FindKDE4Internal.cmake screws things up
            set(CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS} -std=c99)
        endif()

        if(FFMPEG_INCLUDE_DIR_OLD_STYLE)
            set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${FFMPEG_INCLUDE_DIR_OLD_STYLE})
            set(FFMPEG_HEADERS ffmpeg/avcodec.h ffmpeg/avformat.h)
        else()
            set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${FFMPEG_INCLUDE_DIR} ${FFMPEG_INCLUDE_DIRS})
            set(FFMPEG_HEADERS libavcodec/avcodec.h libavformat/avformat.h)
            set(CMAKE_REQUIRED_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS} -DNEWFFMPEGAVCODECPATH)
        endif()
        set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${FFMPEG_LIBRARIES})

        check_symbol_exists(avformat_open_input "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_OPEN_INPUT)
        check_symbol_exists(av_dump_format "${FFMPEG_HEADERS}" HAVE_FFMPEG_AV_DUMP_FORMAT)
        check_symbol_exists(avformat_find_stream_info "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_FIND_STREAM_INFO)
        check_symbol_exists(avformat_close_input "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_CLOSE_INPUT)
        check_symbol_exists(avcodec_open2 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_OPEN2)
        include(CheckCSourceCompiles)
        check_c_source_compiles("
            #ifdef NEWFFMPEGAVCODECPATH
            #include <libavcodec/avcodec.h>
            #else
            #include <ffmpeg/avcodec.h>
            #endif
            int main() { enum AVMediaType t = AVMEDIA_TYPE_UNKNOWN; return 0; }
            " HAVE_FFMPEG_AVMEDIA_TYPE)
        check_c_source_compiles("
            #ifdef NEWFFMPEGAVCODECPATH
            #include <libavcodec/avcodec.h>
            #else
            #include <ffmpeg/avcodec.h>
            #endif
            int main() {
            #if LIBAVCODEC_BUILD >= AV_VERSION_INT(54,25,0)
            # Not needed here. AV_CODEC_ID_MP3 exists.
            #else
            enum CodecID t = CODEC_ID_MP3;
            #endif
            return 0;
            }
            " HAVE_FFMPEG_CODEC_MP3)

        cmake_pop_check_state()
    endif()

    set(BUILD_FFMPEG_DECODER_PLUGIN "${FFMPEG_FOUND}")
endif()

if(K3B_BUILD_FLAC_DECODER_PLUGIN)
    find_package(Flac)
    set_package_properties(Flac PROPERTIES
        PURPOSE "Needed for the Flac audio decoder plugin."
        URL "https://xiph.org/flac/"
        TYPE OPTIONAL)

    find_package(Flac++)
    set_package_properties(Flac++ PROPERTIES
        PURPOSE "Needed for the Flac audio decoder plugin."
        URL "https://xiph.org/flac/"
        TYPE OPTIONAL)

    if(FLAC_FOUND AND FLAC++_FOUND)
        set(BUILD_FLAC_DECODER_PLUGIN 1)
    endif()
endif()

if(K3B_BUILD_MAD_DECODER_PLUGIN)
    find_package(Mad)
    set_package_properties(Mad PROPERTIES
        PURPOSE "Needed for the mp3 audio decoder plugin."
        URL "https://www.underbit.com/products/mad"
        TYPE OPTIONAL)

    set(BUILD_MAD_DECODER_PLUGIN "${MAD_FOUND}")
endif()

if(K3B_BUILD_MUSE_DECODER_PLUGIN)
    find_package(Muse)
    set_package_properties(Muse PROPERTIES
        PURPOSE "Needed for the Musepack audio decoder plugin"
        URL "https://www.musepack.net/"
        TYPE OPTIONAL)

    set(BUILD_MUSE_DECODER_PLUGIN "${Muse_FOUND}")
endif()

if(K3B_BUILD_SNDFILE_DECODER_PLUGIN)
    find_package(Sndfile)
    set_package_properties(Sndfile PROPERTIES
        PURPOSE "Needed for the libsndfile audio decoder plugin."
        URL "http://www.mega-nerd.com/libsndfile"
        TYPE OPTIONAL)

    set(BUILD_SNDFILE_DECODER_PLUGIN "${SNDFILE_FOUND}")
endif()

if(K3B_BUILD_LAME_ENCODER_PLUGIN)
    find_package(Lame)
    set_package_properties(Lame PROPERTIES
        DESCRIPTION "Lame mp3 encoder"
        PURPOSE "Needed for the lame mpf encoder encoder plugin."
        URL "https://lame.sourceforge.io/"
        TYPE OPTIONAL)

    set(BUILD_LAME_ENCODER_PLUGIN "${LAME_FOUND}")
endif()

if(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN OR K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN)
    find_package(OggVorbis)
    set_package_properties(OggVorbis PROPERTIES
        DESCRIPTION "Ogg Vorbis"
        PURPOSE "Needed for the K3b Ogg Vorbis decoder and encoder plugins."
        URL "https://xiph.org/vorbis/"
        TYPE OPTIONAL)

    set(BUILD_OGGVORBIS_DECODER_PLUGIN "${OGGVORBIS_FOUND}")
    set(BUILD_OGGVORBIS_ENCODER_PLUGIN "${OGGVORBIS_FOUND}")
endif()

###################  K3b build settings #################################
include(ConfigureChecks)

set(BUILD_WAVE_DECODER_PLUGIN "${K3B_BUILD_WAVE_DECODER_PLUGIN}")
set(BUILD_SOX_ENCODER_PLUGIN "${K3B_BUILD_SOX_ENCODER_PLUGIN}")
set(BUILD_EXTERNAL_ENCODER_PLUGIN "${K3B_BUILD_EXTERNAL_ENCODER_PLUGIN}")

set(ENABLE_HAL_SUPPORT "${K3B_ENABLE_HAL_SUPPORT}")
set(ENABLE_AUDIO_PLAYER "${QT_QTMULTIMEDIA_FOUND}")

if(IS_ABSOLUTE ${KDE_INSTALL_DATADIR})
  set(K3B_DATA_INSTALL_DIR ${KDE_INSTALL_DATADIR}/k3b)
else()
  set(K3B_DATA_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR}/k3b)
endif()

configure_file(config-k3b.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-k3b.h)
include_directories(${CMAKE_BINARY_DIR})

ecm_setup_qtplugin_macro_names(
    JSON_NONE
        K3B_EXPORT_PLUGIN
        K3B_EXPORT_PLUGIN_CONFIG_WIDGET
)

##################  K3b apidox ################################
if(K3B_BUILD_API_DOCS)
    find_package(Doxygen)

    if(DOXYGEN_EXECUTABLE)
        configure_file(${CMAKE_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_BINARY_DIR}/Doxyfile)

        if(EXISTS ${QT_DOC_DIR}/html)
            set(QTDOCS "${QT_DOC_DIR}/html")
        else()
            set(QTDOCS "https://doc.qt.io/qt-5/")
        endif()

        add_custom_target(apidox
            COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
            COMMAND docs/html/installdox -l qt6.tag@${QTDOCS} docs/html/*.html)
    endif()
endif()

##################  K3b build environment ################################
add_subdirectory( libk3bdevice )
add_subdirectory( libk3b )
add_subdirectory( src )
add_subdirectory( kioworkers )
add_subdirectory( plugins )
if(BUILD_TESTING)
    find_package(Qt6Test REQUIRED)
    find_package(LibFuzzer)
    set_package_properties(LibFuzzer PROPERTIES
        PURPOSE "libFuzzer – a library for coverage-guided fuzz testing."
        URL "https://llvm.org/docs/LibFuzzer.html"
        TYPE OPTIONAL)
    add_subdirectory(tests)
endif()

ecm_qt_install_logging_categories(
    EXPORT K3B
    FILE k3b.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(K3B_DOC)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

ki18n_install(po)

###################  K3b config summary ################################
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== libk3b/tools/CMakeLists.txt ===

install(FILES
  k3bwavefilewriter.h
  k3bbusywidget.h
  k3bdeviceselectiondialog.h
  k3bmd5job.h
  k3bdevicecombobox.h
  k3bstdguiitems.h
  k3bvalidators.h
  k3bthroughputestimator.h
  k3biso9660.h
  k3bmultichoicedialog.h
  k3bdevicehandler.h
  k3bcdparanoialib.h
  k3bmsfedit.h
  k3bcdtextvalidator.h
  k3bintvalidator.h
  k3bexceptions.h
  k3bthreadwidget.h
  k3bsignalwaiter.h
  k3biso9660backend.h
  k3bdirsizejob.h
  k3bchecksumpipe.h
  k3bintmapcombobox.h
  k3bactivepipe.h
  k3bfilesplitter.h
  k3bfilesysteminfo.h
  k3bmedium.h
  k3bmediacache.h
  k3bcddb.h
  k3bprocess.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)

=== libk3b/videodvd/CMakeLists.txt ===
install(FILES
  k3bvideodvd.h
  k3bvideodvdtitle.h
  k3bvideodvdaudiostream.h
  k3bvideodvdsubpicturestream.h
  k3bvideodvdvideostream.h
  k3bvideodvdtime.h
  k3bvideodvdptt.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)

=== plugins/project/CMakeLists.txt ===

add_subdirectory( audioprojectcddb )

if(ENABLE_TAGLIB)
    add_subdirectory(audiometainforenamer)
endif()

=== libk3b/projects/videodvd/CMakeLists.txt ===
install( FILES  k3bvideodvddoc.h k3bvideodvdjob.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel )

=== plugins/encoder/sox/CMakeLists.txt ===
kcoreaddons_add_plugin(k3bsoxencoder
    SOURCES k3bsoxencoder.cpp
    INSTALL_NAMESPACE "k3b_plugins")

target_link_libraries(k3bsoxencoder
    k3bdevice
    k3blib
    KF6::I18n
)

ki18n_wrap_ui(ui_sources base_k3bsoxencoderconfigwidget.ui)

kcoreaddons_add_plugin(kcm_k3bsoxencoder INSTALL_NAMESPACE "k3b_plugins/kcms")
target_sources(kcm_k3bsoxencoder PRIVATE k3bsoxencoderconfigwidget.cpp ${ui_sources})

target_link_libraries(kcm_k3bsoxencoder
    k3bdevice
    k3blib
    KF6::I18n
)

=== libk3b/projects/videocd/cdi/CMakeLists.txt ===
install( FILES  cdi_imag.rtf cdi_text.fnt cdi_vcd.app cdi_vcd.cfg vcd_on_cdi_41.pdf icdia.htm DESTINATION ${K3B_DATA_INSTALL_DIR}/cdi )

=== debian/changelog ===
k3b (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:21:14 +0000

=== debian/control ===
Source: k3b
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.1~),
               gettext,
               libavdevice-dev (>= 7:4.4.0~),
               libdvdread-dev,
               libflac++-dev,
               libflac-dev,
               libkcddb6-dev (>= 4:25.08.3~),
               libkf6archive-dev (>= 6.1~),
               libkf6auth-dev (>= 6.1~),
               libkf6completion-dev,
               libkf6config-dev (>= 6.1~),
               libkf6coreaddons-dev (>= 6.1~),
               libkf6doctools-dev (>= 6.1~),
               libkf6filemetadata-dev (>= 6.1~),
               libkf6i18n-dev (>= 6.1~),
               libkf6iconthemes-dev (>= 6.1~),
               libkf6jobwidgets-dev (>= 6.1~),
               libkf6kcmutils-dev (>= 6.1~),
               libkf6kio-dev (>= 6.1~),
               libkf6newstuff-dev (>= 6.1~),
               libkf6notifications-dev (>= 6.1~),
               libkf6notifyconfig-dev (>= 6.1~),
               libkf6solid-dev (>= 6.1~),
               libkf6widgetsaddons-dev (>= 6.1~),
               libkf6xmlgui-dev (>= 6.1~),
               libmad0-dev,
               libmp3lame-dev,
               libmpcdec-dev,
               libsamplerate0-dev,
               libsndfile1-dev,
               libtag1-dev,
               libvorbis-dev,
               qt6-base-dev (>= 6.6~),
               qt6-webengine-dev (>= 6.6~) [amd64 arm64 armhf],
               shared-mime-info,
Standards-Version: 4.7.0
Homepage: https://userbase.kde.org/K3b
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
Rules-Requires-Root: no

Package: k3b
Architecture: any
Depends: cdparanoia,
         cdrdao [linux-any],
         genisoimage,
         k3b-data (= ${source:Version}),
         libk3b8t64 (= ${binary:Version}),
         udisks2 [linux-any],
         wodim | cdrskin,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dvd+rw-tools,
            growisofs,
            kde-config-cddb (>= 4:24.08.1~),
            libk3b-extracodecs,
            vcdimager,
Suggests: k3b-extrathemes, k3b-i18n, normalize-audio, sox,
Description: Sophisticated CD/DVD burning application
 K3b is a full-featured CD/DVD/Blu-ray burning and ripping application.
 It supports a variety of project types as well as copying of optical
 media, burning of different types of images, and ripping Audio CDs,
 Video CDs, and Video DVDs.
 Its convenient user interface is targeted at all audiences, trying to
 be as simple as possible for novice users, while also providing all
 features an advanced user might need.

Package: k3b-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Sophisticated CD/DVD burning application - data files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the required data files common to all architectures.

Package: k3b-extrathemes
Architecture: all
Depends: k3b, ${misc:Depends},
Description: Sophisticated CD/DVD burning application - extra themes
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains additional themes for K3b.

Package: k3b-i18n
Section: localization
Architecture: all
Depends: k3b, ${misc:Depends},
Description: Sophisticated CD/DVD burning application - localizations files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains translations files.

Package: libk3b-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libk3b8t64 (= ${binary:Version}),
         libkcddb6-dev (>= 4:25.08.3~),
         libkf6completion-dev,
         libkf6config-dev (>= 6.1~),
         libkf6coreaddons-dev (>= 6.1~),
         libkf6kcmutils-dev (>= 6.1~),
         libkf6kio-dev (>= 6.1~),
         libkf6widgetsaddons-dev (>= 6.1~),
         qt6-base-dev (>= 6.6~),
         ${misc:Depends},
Description: KDE CD/DVD burning application library - development files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains development files.

Package: libk3b8t64
Provides: ${t64:Provides}
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libk3b8 (<< ${source:Version}), libk3b7,
Replaces: libk3b8, libk3b7,
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries.

Package: libk3b-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains libraries data files.

Package: libk3b-extracodecs
Architecture: any
Multi-Arch: same
Depends: libk3b8t64 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
Breaks: libk3b7-extracodecs,
Replaces: libk3b7-extracodecs,
Description: KDE CD/DVD burning application library - extra decoders
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

## k3b 25.08.3+p24.04+vunstable+git20251201.0259

=== debian/changelog ===
k3b (25.08.3+p24.04+vunstable+git20251201.0259-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 02:59:16 +0000

k3b (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:40:33 +1000

## k3b 25.08.3+p24.04+vunstable+git20251206.0718

=== debian/changelog ===
k3b (25.08.3+p24.04+vunstable+git20251206.0718-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:18:46 +0000

## k3b 25.08.3+p24.04+vunstable+git20251208.0322

=== debian/changelog ===
k3b (25.08.3+p24.04+vunstable+git20251208.0322-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 03:22:42 +0000

## k3b 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(k3b VERSION ${RELEASE_SERVICE_VERSION})

=== plugins/decoder/libsndfile/CMakeLists.txt ===
kcoreaddons_add_plugin(k3blibsndfiledecoder
    SOURCES k3blibsndfiledecoder.cpp
    INSTALL_NAMESPACE "k3b_plugins")

target_include_directories(k3blibsndfiledecoder PRIVATE ${SNDFILE_INCLUDE_DIR})

target_link_libraries(k3blibsndfiledecoder k3bdevice k3blib KF6::I18n ${SNDFILE_LIBRARIES})

=== plugins/encoder/lame/CMakeLists.txt ===
kcoreaddons_add_plugin(k3blameencoder
    SOURCES k3blameencoder.cpp
    INSTALL_NAMESPACE "k3b_plugins")

target_link_libraries(k3blameencoder
    k3bdevice
    k3blib
    KF6::I18n
    ${LAME_LIBRARIES}
)

ki18n_wrap_ui(ui_sources
    base_k3blameencodersettingswidget.ui
    base_k3bmanualbitratesettingsdialog.ui
)

kcoreaddons_add_plugin(kcm_k3blameencoder INSTALL_NAMESPACE "k3b_plugins/kcms/")
target_sources(kcm_k3blameencoder PRIVATE
    k3blameencoderconfigwidget.cpp
    k3blamemanualsettingsdialog.cpp
    ${ui_sources}
)

target_link_libraries(kcm_k3blameencoder
    k3bdevice
    k3blib
    KF6::I18n
)

=== src/pics/quant/CMakeLists.txt ===
install( FILES
    splash.png
    project_left.png
    project_right.png
    media_audio.png
    media_data.png
    media_video.png
    media_empty.png
    media_left.png
    media_mixed.png
    media_none.png
    progress_working.png
    progress_fail.png
    progress_success.png
    progress_right.png
    dialog_left.png
    dialog_right.png
    welcome_bg.png
    k3b.theme
    DESTINATION ${K3B_DATA_INSTALL_DIR}/pics/quant )

=== debian/changelog ===
k3b (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:53:39 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libdvdread-dev,
                libflac++-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:25.08.3~),
+               libkcddb6-dev (>= 4:25.11.80~),
                libkf6archive-dev (>= 6.1~),
                libkf6auth-dev (>= 6.1~),
                libkf6completion-dev,
@@ -115,7 +115,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libk3b8t64 (= ${binary:Version}),
-         libkcddb6-dev (>= 4:25.08.3~),
+         libkcddb6-dev (>= 4:25.11.80~),
          libkf6completion-dev,
          libkf6config-dev (>= 6.1~),
          libkf6coreaddons-dev (>= 6.1~),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
# lots of deprecation warnings, so disable them for now
export DEB_CXXFLAGS_MAINT_APPEND = -Wno-deprecated -Wno-deprecated-declarations

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DK3B_ENABLE_HAL_SUPPORT=OFF

execute_after_dh_install-indep:
	# duplicated English documentation, only in k3b-data
	rm -rfv debian/k3b-i18n/usr/share/doc/HTML/en/

execute_after_dh_fixperms-arch:
	chmod -x $(CURDIR)/debian/k3b/usr/share/kio/servicemenus/*

.PHONY: override_dh_dwz

## k3b 25.11.90

=== debian/changelog ===
k3b (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:59:50 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libdvdread-dev,
                libflac++-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:25.11.80~),
+               libkcddb6-dev (>= 4:25.11.90~),
                libkf6archive-dev (>= 6.1~),
                libkf6auth-dev (>= 6.1~),
                libkf6completion-dev,
@@ -115,7 +115,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libk3b8t64 (= ${binary:Version}),
-         libkcddb6-dev (>= 4:25.11.80~),
+         libkcddb6-dev (>= 4:25.11.90~),
          libkf6completion-dev,
          libkf6config-dev (>= 6.1~),
          libkf6coreaddons-dev (>= 6.1~),

## k3b 25.12.0

=== debian/changelog ===
k3b (25.12.0-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Dec 2025 15:18:11 +0000

k3b (25.12.0-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - debian/patches: kubuntu_07_quicklists.diff
    - libk3b-data to install qlogging files.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Dec 2025 16:55:49 +0000

k3b (25.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.

  [ Pino Toscano ]
  * New upstream release:
    - build with FFmpeg 8+ (Closes: #1122938)
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Drop the libkf6completion-dev build dependency, not needed.
  * Use the right dh addon (kf6) when overriding dh_auto_configure.
  * Drop -Wno-deprecated -Wno-deprecated-declarations from the CXXFLAGS,
    as hopefully the deprecation warnings are gone.
  * Remove 2 obsolete maintscript entries in 2 files.

 -- Pino Toscano <pino@debian.org>  Mon, 15 Dec 2025 11:22:10 +0100

k3b (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:15:06 +0000

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,18 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.1~),
                gettext,
                libavdevice-dev (>= 7:4.4.0~),
                libdvdread-dev,
                libflac++-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:25.11.90~),
+               libkcddb6-dev (>= 4:25.12.0~),
                libkf6archive-dev (>= 6.1~),
                libkf6auth-dev (>= 6.1~),
-               libkf6completion-dev,
                libkf6config-dev (>= 6.1~),
                libkf6coreaddons-dev (>= 6.1~),
                libkf6doctools-dev (>= 6.1~),
@@ -38,13 +37,13 @@
                libmpcdec-dev,
                libsamplerate0-dev,
                libsndfile1-dev,
-               libtag1-dev,
+               libtag-dev,
                libvorbis-dev,
                qt6-base-dev (>= 6.6~),
-               qt6-webengine-dev (>= 6.6~) [amd64 arm64 armhf],
+               qt6-webengine-dev (>= 6.6~) [amd64 arm64 armhf i386],
                shared-mime-info,
-Standards-Version: 4.7.0
-Homepage: https://userbase.kde.org/K3b
+Standards-Version: 4.7.2
+Homepage: https://apps.kde.org/k3b/
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
 Rules-Requires-Root: no
@@ -115,7 +114,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libk3b8t64 (= ${binary:Version}),
-         libkcddb6-dev (>= 4:25.11.90~),
+         libkcddb6-dev (>= 4:25.12.0~),
          libkf6completion-dev,
          libkf6config-dev (>= 6.1~),
          libkf6coreaddons-dev (>= 6.1~),
@@ -133,13 +132,13 @@
  This package contains development files.
 
 Package: libk3b8t64
-Provides: ${t64:Provides}
+Provides: ${t64:Provides},
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libk3b8 (<< ${source:Version}), libk3b7,
-Replaces: libk3b8, libk3b7,
+Breaks: libk3b7, libk3b8 (<< ${source:Version}),
+Replaces: libk3b7, libk3b8,
 Description: KDE CD/DVD burning application library - runtime files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps

## k3b 25.12.0+p24.04+vstable+git20251224.0721

=== debian/changelog ===
k3b (25.12.0+p24.04+vstable+git20251224.0721-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 07:21:40 +0000

k3b (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:36:44 +1000

## k3b 25.12.0+p24.04+vstable+git20260101.0041

=== debian/changelog ===
k3b (25.12.0+p24.04+vstable+git20260101.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 00:42:06 +0000

## k3b 25.12.0+p24.04+vunstable+git20251208.1725

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(k3b VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
k3b (25.12.0+p24.04+vunstable+git20251208.1725-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 17:25:22 +0000

## k3b 25.12.1

=== debian/changelog ===
k3b (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:58:22 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.1~),
                gettext,
                libavdevice-dev (>= 7:4.4.0~),
                libdvdread-dev,
                libflac++-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:25.12.0~),
+               libkcddb6-dev (>= 4:25.12.1~),
                libkf6archive-dev (>= 6.1~),
                libkf6auth-dev (>= 6.1~),
                libkf6config-dev (>= 6.1~),
@@ -114,7 +114,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libk3b8t64 (= ${binary:Version}),
-         libkcddb6-dev (>= 4:25.12.0~),
+         libkcddb6-dev (>= 4:25.12.1~),
          libkf6completion-dev,
          libkf6config-dev (>= 6.1~),
          libkf6coreaddons-dev (>= 6.1~),

## k3b 25.12.1+p24.04+vstable+git20260131.1328

=== debian/changelog ===
k3b (25.12.1+p24.04+vstable+git20260131.1328-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 13:28:36 +0000

k3b (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:26:46 +1000

## k3b 25.12.1+p24.04+vstable+git20260202.1033

=== debian/changelog ===
k3b (25.12.1+p24.04+vstable+git20260202.1033-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:34:01 +0000

## k3b 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(k3b VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
k3b (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:18:32 +0000

k3b (25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:41:50 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libdvdread-dev,
                libflac++-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:25.12.1~),
+               libkcddb6-dev (>= 4:25.12.2~),
                libkf6archive-dev (>= 6.1~),
                libkf6auth-dev (>= 6.1~),
                libkf6config-dev (>= 6.1~),
@@ -114,7 +114,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libk3b8t64 (= ${binary:Version}),
-         libkcddb6-dev (>= 4:25.12.1~),
+         libkcddb6-dev (>= 4:25.12.2~),
          libkf6completion-dev,
          libkf6config-dev (>= 6.1~),
          libkf6coreaddons-dev (>= 6.1~),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DK3B_ENABLE_HAL_SUPPORT=OFF

execute_after_dh_install-indep:
	# duplicated English documentation, only in k3b-data
	rm -rfv debian/k3b-i18n/usr/share/doc/HTML/en/

execute_after_dh_fixperms-arch:
	chmod -x $(CURDIR)/debian/k3b/usr/share/kio/servicemenus/*

.PHONY: override_dh_dwz
